/*BLOCK FONT SEMUA BODY*/
* {
  /*font-size: calc(12px + 0.3vw);*/
}

.logo {
  /*  height: calc(0.5vh + 200px);*/
}

/*BLOCK CONTAINER FLUID*/

@media (min-width: 1200px) {
  .container-fluid {
    max-width: 92%;
  }
  .carousel-inner {
    /*border-radius: 10px;*/
    margin-bottom: 1rem;
  }
  .carousel-item a img {
    height: 300px;
  }
}

@media (max-width: 1199.9px) {
  .carousel-inner {
    border-radius: 10px;
    margin-bottom: 1rem;
  }
  .carousel-item a img {
    height: 300px;
  }
}
@media (max-width: 991.9px) {
  .carousel-inner {
    border-radius: 10px;
    margin-bottom: 20px;
  }
  .carousel-item a img {
    height: 300px;
  }
}

@media (max-width: 767.9px) {
  .carousel-inner {
    border-radius: 10px;
    margin-bottom: 10px;
  }
  .carousel-item a img {
    height: 300px;
  }
}

@media (max-width: 575.9px) {
  .carousel-inner {
    border-radius: 10px;
    margin-bottom: 10px;
  }
  .container-fluid {
    width: 100%;
    padding: 0px;
  }
  .carousel-item a img {
    height: 200px;
  }
}

.cardkpl {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.nav-pills .nav-link {
  /*padding: 0 10px;*/
}

.nav-pills .nav-link.active {
  background-color: #26303a;
}

/*BLOCK BACK-TO-TOP*/
.back-to-top {
  visibility: hidden;
  opacity: 0;
  background-color: var(--primary);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  transition: all 0.4s;
}

.back-to-top i {
  /*  line-height: 2;*/
}

.back-to-top:hover {
  background-color: rgba(var(--primary), 0.8);
  color: #ffffff;
}

.back-to-top.active {
  visibility: visible;
  opacity: 1;
}

.table td {
  vertical-align: middle;
  padding-top: 2px;
  padding-bottom: 2px;
}

.table thead tr th {
  vertical-align: middle;
  /*  padding-top: 2px;*/
  /*  padding-bottom: 2px;*/
}

.dark-mode .page-item .page-link {
  color: whitesmoke;
}

.dark-mode input:-webkit-autofill,
.dark-mode input:-webkit-autofill:focus {
  -webkit-text-fill-color: black;
}

/*=============================================*/
.kotak img {
  -webkit-transition: 0.5s ease;
  transition: 0.5s ease;
}

.zoom-effect:hover .kotok {
  transform: translateY(-50px);
}

.kotok {
  transition: 0.5s ease;
}

.zoom-effect:hover .kotak img {
  filter: opacity(75%);
  /*  max-width: none;*/
  /*  width: calc(100% + 40px);*/
  -webkit-transform: scale(1.2);
  transform: perspective(500px);
  transform: scale(1.2);
  /*  transform: translate(40px,0);*/
}

.zoom-effect {
  overflow: hidden;
}

.efek-judul:hover {
  transform: translate(-20px, 0px);
}

.efek-judul {
  overflow: hidden;
}

.glowing-text {
  color: #fff;
  text-shadow:
    0 0 5px #fff,
    0 0 10px #f0f,
    0 0 20px #f0f,
    0 0 40px #f0f,
    0 0 80px #f0f;
  font-size: 2rem;
  font-weight: bold;
}

/* Default Shadow untuk Light Mode */
:root {
  --shadow-color: rgba(0, 0, 0, 0.595);
}

.dark-mode {
  --shadow-color: rgba(
    255,
    255,
    255,
    0.5
  ); /* Shadow keputihan untuk mode dark */
}

/* Class untuk Shadow */
.shadow-ku {
  /*box-shadow: 0 1rem 3rem var(--shadow-color) !important;*/
}

.shadow-box {
  box-shadow:
    0 0 1px rgba(0, 0, 0, 0.125),
    0 1px 3px rgba(0, 0, 0, 0.2);
  background-color: #fff;
}
.ajeg {
  position: sticky;
  top: 60px;
  width: 100%;
}
/*================================*/
.snippet {
  font-family: Arial, sans-serif;
  text-align: justify;
}

.snippet img {
  max-width: 100%;
  height: auto;
  display: block;
  margin: 10px 0;
}

.snippet a.read-more {
  display: inline-block;
  margin-top: 10px;
  color: #007bff;
  text-decoration: none;
  font-weight: bold;
}

.snippet a.read-more:hover {
  text-decoration: underline;
}

/*================================*/
.fs-9 {
  font-size: 9px;
}
.fs-10 {
  font-size: 10px;
}

.fs-12 {
  font-size: 12px;
}
.fs-14 {
  font-size: 14px;
}

.fs-1 {
  font-size: calc(1.375rem + 1.5vw) !important;
}

.fs-2 {
  font-size: calc(1.325rem + 0.9vw) !important;
}

.fs-3 {
  font-size: calc(1.3rem + 0.6vw) !important;
}

.fs-4 {
  font-size: calc(1rem + 0.3vw) !important;
}

.fs-5 {
  font-size: 1.25rem !important;
}

.fs-6 {
  font-size: 1rem !important;
}

.fst-italic {
  font-style: italic !important;
}

.fst-normal {
  font-style: normal !important;
}

.grad2c {
  /* background-image: linear-gradient(140deg, #EADEDB 0%, #BC70A4 50%, #BFD641 75%); */
  background-image: linear-gradient(
    140deg,
    #eadedb 0%,
    #43ff55 50%,
    #721883 75%
  );

  box-shadow:
    0 0 1px rgba(0, 0, 0, 0.125),
    0 1px 3px rgba(0, 0, 0, 0.2) !important;
}

.bayang {
  box-shadow:
    0 0 1px rgba(0, 0, 0, 0.125),
    0 1px 3px rgba(0, 0, 0, 0.2) !important;
}
